Subject: Re: [PATCH] mwifiex: Report connected BSS with cfg80211_connect_bss()

From: Kalle Valo <[email-masked]>
Date: Mon, 8 Feb 2021 11:17:44 +0000 (UTC)

Yen-lin Lai <[email-masked]> wrote:

> When a network is moved or reconfigured on the different channel, there
> can be multiple BSSes with the same BSSID and SSID in scan result
> before the old one expires. Then, it can cause cfg80211_connect_result
> to map current_bss to a bss with the wrong channel.
> 
> Let mwifiex_cfg80211_assoc return the selected BSS and then the caller
> can report it cfg80211_connect_bss.
> 
> Signed-off-by: Yen-lin Lai <[email-masked]>
> Reviewed-by: Brian Norris <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

b7fd26c913f1 mwifiex: Report connected BSS with cfg80211_connect_bss()

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches